Package org.springframework.scheduling.config

# Enum Class TaskExecutionOutcome.Status

java.lang.Object
java.lang.Enum<TaskExecutionOutcome.Status>
org.springframework.scheduling.config.TaskExecutionOutcome.Status

All Implemented Interfaces:
  `Serializable`, `Comparable<TaskExecutionOutcome.Status>`, `Constable`

Enclosing class:
  TaskExecutionOutcome

public static enum TaskExecutionOutcome.Status extends Enum<TaskExecutionOutcome.Status>
Status of the task execution outcome.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ERROR`
The task execution finished with an error.
`NONE`
The task has not been executed so far.
`STARTED`
The task execution has been started and is ongoing.
`SUCCESS`
The task execution finished successfully.

## Method Summary

Modifier and Type
Method
Description
`static TaskExecutionOutcome.Status`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static TaskExecutionOutcome.Status[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NONE

public static final TaskExecutionOutcome.Status NONE
The task has not been executed so far.

### STARTED

public static final TaskExecutionOutcome.Status STARTED
The task execution has been started and is ongoing.

### SUCCESS

public static final TaskExecutionOutcome.Status SUCCESS
The task execution finished successfully.

### ERROR

public static final TaskExecutionOutcome.Status ERROR
The task execution finished with an error.

## Method Details

### values

public static TaskExecutionOutcome.Status[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static TaskExecutionOutcome.Status valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null